=== debian/changelog ===
gcc-9 (9.4.0-1ubuntu1~20.04.3) focal-proposed; urgency=medium

  * SRU: LP: #2029910, move libtsan_preinit.o into libgcc-9-dev.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Sep 2023 07:45:40 +0200

gcc-9 (9.4.0-1ubuntu1~20.04.2) focal-proposed; urgency=medium

  * SRU: LP: #1994020, backport PR target/105162 (AArch64).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Oct 2022 11:28:06 +0200

gcc-9 (9.4.0-1ubuntu1~20.04.1) focal-proposed; urgency=medium

  [ Corey Bryant ]
  * SRU: LP: #1964260. Fix PR target/100985, regression introduced
    with the previous upload.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Mar 2022 18:57:24 +0100

gcc-9 (9.4.0-1ubuntu1~20.04) focal-proposed; urgency=medium

  * SRU: LP: #1930125. Update to the GCC 9.4.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Jun 2021 13:16:34 +0200

gcc-9 (9.4.0-1ubuntu1) impish; urgency=medium

  * GCC 9.4.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Jun 2021 12:03:08 +0200

gcc-9 (9.4.0-1) unstable; urgency=medium

  * GCC 9.4.0 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Jun 2021 11:54:15 +0200

gcc-9 (9.3.0-26ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 May 2021 14:01:18 +0200

gcc-9 (9.3.0-26) experimental; urgency=medium

  * GCC 9.4.0 release candidate 2.
  * Update to git 20210527 from the gcc-9 branch.
    - Fix PR c++/97938, PR c++/52625, PR c++/80456, PR sanitizer/100379,
      PR c++/100797, PR c++/95719.
  * Drop the PR bootstrap/87338 patch, applied upstream.

 -- Matthias Klose <doko@debian.org>  Fri, 28 May 2021 13:52:31 +0200

gcc-9 (9.3.0-25ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 May 2021 10:26:14 +0200

gcc-9 (9.3.0-25) experimental; urgency=medium

  * GCC 9.4.0 release candidate.
  * Update to git 20210519 from the gcc-9 branch.
    - Fix PR target/97865 (Darwin), PR target/44107 (Darwin),
      PR target/48097 (Darwin), PR tree-optimization/92608, PR bootstrap/87338,
      PR target/100182 (x86), PR tree-optimization/99954,
      PR rtl-optimization/99929, PR target/98136 (AArch64),
      PR rtl-optimization/96796, PR tree-optimization/98302,
      PR middle-end/95694, PR c++/95719, PR fortran/100154,
      PR target/98952 (PPC), PR libstdc++/100259, PR target/99988 (AArch64),
      PR target/99037 (AArch64), PR target/100441 (AArch64),
      PR rtl-optimization/100225, PR rtl-optimization/84878,
      PR target/100402 (x86), PR rtl-optimization/100263,
      PR tree-optimization/98786, PR rtl-optimization/100230,
      PR tree-optimization/100053, PR rtl-optimization/98144,
      PR target/100375 (nvptx), PR target/100302 (AArch64),
      PR rtl-optimization/100254, PR debug/100255, PR rtl-optimization/100148,
      PR tree-optimization/91914, PR fortran/100274, PR c/100450,
      PR rtl-optimization/80960, PR tree-optimization/96513,
      PR tree-optimization/96597, PR tree-optimization/88240,
      PR tree-optimization/100566.
  * Fix running the libstdc++-v3 tests against the installed libstdc++6,
    when the libstdc++6 package is not built from this source.
  * Don't apply the arm-multilib-soft patch when building without
    armhf/armsf multilib packages.

 -- Matthias Klose <doko@debian.org>  Wed, 19 May 2021 10:20:17 +0200

gcc-9 (9.3.0-24ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Apr 2021 22:21:04 +0200

gcc-9 (9.3.0-24) experimental; urgency=medium

  * Update to git 20210422 from the gcc-9 branch.
    - Fix PR driver/47785, PR tree-optimization/99694, PR c/99224, PR lto/96591,
      PR tree-optimization/97009, PR tree-optimization/99856, PR ipa/99466,
      PR target/97329 (PPC), PR target/99704 (x86), PR target/99702 (RISCV),
      PR ipa/98078, PR tree-optimization/98758, PR tree-optimization/98282,
      PR tree-optimization/93964, PR fortran/99840, PR fortran/99688,
      PR fortran/99545, PR lto/96385, PR bootstrap/99983, PR libstdc++/99985,
      PR libstdc++/96029, PR libstdc++/96029, PR target/99767, PR lto/99849,
      PR rtl-optimization/99905, PR debug/99830, PR rtl-optimization/98601,
      PR rtl-optimization/99863, PR tree-optimization/99777, PR debug/99334,
      PR debug/99388, PR target/99542 (AArch64), PR middle-end/93235,
      PR tree-optimization/99225, PR tree-optimization/99204, PR ipa/99034,
      PR tree-optimization/99079, PR c++/99035, PR middle-end/99007,
      PR middle-end/97487, PR middle-end/97971, PR debug/98331,
      PR target/98853 (AArch64), PR target/98681 (AArch64), PR testsuite/97301,
      PR tree-optimization/90248, PR c++/98556, PR tree-optimization/98474,
      PR c++/98353, PR middle-end/98183, PR middle-end/98205, PR c/99324,
      PR target/98100, PR target/98063 (x86), PR debug/97599, PR c++/98187,
      PR rtl-optimization/97386, PR sanitizer/97294, PR c/99990, PR c/99588,
      PR c/99136, PR c/97958, PR c++/95468, PR c++/96282, PR c++/64194,
      PR c++/99833, PR c++/99790, PR c++/99745, PR c++/99650, PR c++/99613,
      PR c++/82959, PR c++/95451, PR sanitizer/99106, PR c++/99033,
      PR c++/97878, PR c++/33661, PR c++/98847, PR sanitizer/95693,
      PR c++/98672, PR c++/98187, PR c++/98072, PR c++/97663, PR d/98457,
      PR jit/100096, PR bootstrap/97163, PR sanitizer/100114,
      PR libstdc++/100180, PR libstdc++/99181, PR libstdc++/99181,
      PR libstdc++/90945, PR libstdc++/94854, PR libstdc++/99533,
      PR libstdc++/99536, PR libstdc++/82584, PR libstdc++/99805,
      PR libstdc++/97362, PR libstdc++/97570, PR libstdc++/98319,
      PR libstdc++/99077, PR libstdc++/99058.
  * Fix PR sanitizer/100114, taken from the trunk.
  * Starting with Ubuntu impish, don't build arm multilib packages.


