=== debian/tests/control ===
Tests: runtime-libs
Depends: apt, python3-minimal
Restrictions: allow-stderr

Tests: libc-link
Depends: gcc-9, libc6-dev | libc-dev

Tests: libstdcxx-link
Depends: g++-9

Tests: libgfortran-link
Depends: gfortran-9

Tests: libgo-link
Depends: gccgo-9

Tests: libgomp-link
Depends: gfortran-9, gcc-9

Tests: libgnat-link
Depends: gnat-9

Tests: shlib-build
Depends: gcc-9, libc6-dev | libc-dev
