## gcc-9 9.5.0

=== debian/changelog ===
gcc-9 (9.5.0-6ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:03:47 +0000

gcc-9 (9.5.0-6ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Mar 2024 09:57:02 +0100

gcc-9 (9.5.0-6) unstable; urgency=medium

  * d/p/gcc-distro-defaults: Make -fstack-protector-explicit known.
  * Address stack protector and stack clash protection weaknesses
    on AArch64. CVE-2023-4039.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Mar 2024 09:50:53 +0100

gcc-9 (9.5.0-5ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Feb 2024 15:17:17 +0100

gcc-9 (9.5.0-5) unstable; urgency=medium

  * Allow the gccgo-link test to fail on armhf.
  * Remove references to obsolete dpkg m32r and tilegx archs. Closes: #1056765.
  * Don't run the tests with -fstack-protector/-fno-stack-protector on slower
    architectures.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Feb 2024 14:48:22 +0100

gcc-9 (9.5.0-4ubuntu2) mantic; urgency=medium

  * Allow the gccgo-link test to fail on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Aug 2023 15:16:38 +0200

gcc-9 (9.5.0-4) unstable; urgency=medium

  * libgccjit-9-doc: Relax dependency on the gcc-9-base package.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2023 16:32:40 +0200

gcc-9 (9.5.0-3ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Feb 2023 07:47:45 +0100

gcc-9 (9.5.0-3) unstable; urgency=medium

  * RISC-V: jal cannot refer to a default visibility symbol for shared object,
    taken from the GCC 12 branch.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2023 06:25:40 +0100

gcc-9 (9.5.0-2ubuntu1) lunar; urgency=medium

  * RISC-V: jal cannot refer to a default visibility symbol for shared object,
    taken from the GCC 12 branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Feb 2023 18:58:49 +0100

gcc-9 (9.5.0-2) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * Backport d/patches/pr91085.diff to avoid problem with fixincludes-ed
    sys/mount.h.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Aug 2022 12:24:23 +0200

gcc-9 (9.5.0-1ubuntu3) kinetic; urgency=medium

  * Backport d/patches/pr91085.diff to avoid problem with fixincludes-ed
    sys/mount.h.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 23 Aug 2022 16:06:37 +1200

gcc-9 (9.5.0-1ubuntu2) kinetic; urgency=medium

  * Rebuild against latest glibc

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 13 Aug 2022 23:35:39 -0400

gcc-9 (9.5.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 May 2022 13:00:46 +0200

gcc-9 (9.5.0-1) unstable; urgency=medium

  * GCC 9.5.0 release.
  * Refresh patches.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Fri, 27 May 2022 10:59:32 +0200

gcc-9 (9.4.0-5ubuntu1) jammy; urgency=medium

  * Update to git 20220204 from the gcc-9 branch.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Feb 2022 15:06:51 +0100

gcc-9 (9.4.0-5) unstable; urgency=medium

  * Update to git 20220204 from the gcc-9 branch.
    - Fix PR tree-optimization/97953, PR target/103465, PR target/100985,
      PR target/102347, PR ipa/103267, PR ipa/103052, PR target/101985,
      PR fortran/104127, PR fortran/104227, PR fortran/103782,
      PR fortran/103588, PR fortran/103610, PR fortran/103606,
      PR fortran/103717, PR fortran/103607, PR fortran/103392,
      PR libfortran/103634, PR d/103604, PR sanitizer/102911,
      PR libstdc++/103381.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Feb 2022 14:49:31 +0100

gcc-9 (9.4.0-4ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Nov 2021 20:53:03 +0100

gcc-9 (9.4.0-4) unstable; urgency=medium

  * Update to git 20211117 from the gcc-9 branch.
    - Fix PR middle-end/100672, PR tree-optimization/101373,
      PR tree-optimization/101868, PR middle-end/101824,
      PR tree-optimization/102789, PR target/98667, PR tree-optimization/101173,
      PR tree-optimization/101280, PR tree-optimization/101394,
      PR tree-optimization/101105, PR tree-optimization/100934,
      PR middle-end/100509, PR tree-optimization/102622,
      PR rtl-optimization/102306, PR d/102574, PR fortran/101327,
      PR fortran/98490, PR fortran/82314, PR fortran/85130,
      PR fortran/102287, PR fortran/97612, PR fortran/98565,
      PR fortran/93701, PR fortran/98472, PR fortran/100110,
      PR libstdc++/103022, PR libstdc++/102425, PR libstdc++/102667.
  * Move libtsan_preinit.o into libgcc-9-dev. Addresses: #999752.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 19:24:03 +0100

gcc-9 (9.4.0-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2021 18:14:49 +0200

gcc-9 (9.4.0-3) unstable; urgency=medium

  * Update to git 20210909 from the gcc-9 branch.
    - Fix  PR c++/60318, PR target/101471 (x86), PR target/101723 (ARM),
      PR target/100767 (ARM), PR fortran/46691, PR fortran/99819,
      PR fortran/99125, PR fortran/93924, PR fortran/93925, PR fortran/93794.
  * Remove trailing spaces in symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2021 14:21:20 +0200

gcc-9 (9.4.0-2) unstable; urgency=medium

  * Update to git 20210814 from the gcc-9 branch.
    - Fix PR target/94780 (MIPS), PR target/100182 (x86),
      PR target/101129 (PPC), PR rtl-optimization/99927, PR target/101175 (x86),

