=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Depends: gfortran-9
 
 Tests: libgo-link
+Restrictions: skippable, allow-stderr
 Depends: gccgo-9
 
 Tests: libgomp-link
